Bug 1274951 - Krunner crashes
Krunner crashes
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-krunner (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 22:36 EDT by André Martins
Modified: 2017-08-08 08:19 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:19:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 354287 None None None Never

  None (edit)
Description André Martins 2015-10-23 22:36:56 EDT
Type ALT+F2 (to show krunner) and write random stuff, it crashes sometimes for example one of the times the output was:

The X11 connection broke (error 1). Did the X11 server die?
KCrash: Application 'krunner' crashing...
KCrash: Attempting to start /usr/libexec/drkonqi from kdeinit
sock_file=/run/user/1000/kdeinit5__0
The X11 connection broke: I/O error (code 1)
XIO:  fatal IO error 22 (Invalid argument) on X server ":0"
      after 5174 requests (5174 known processed) with 0 events remaining.
QMutex: destroying locked mutex
Unable to start Dr. Konqi

other time the output was:
KCrash: Attempting to start /usr/bin/krunner from kdeinit
sock_file=/run/user/1000/kdeinit5__0
KCrash: Application 'krunner' crashing...
KCrash: Attempting to start /usr/libexec/drkonqi from kdeinit                                                                                                                                                                                 
sock_file=/run/user/1000/kdeinit5__0                                                                                                                                                                                                          
QSocketNotifier: Invalid socket 6 and type 'Read', disabling...                                                                                                                                                                               
QSocketNotifier: Invalid socket 9 and type 'Read', disabling...                                                                                                                                                                               
QSocketNotifier: Invalid socket 12 and type 'Read', disabling...                                                                                                                                                                              
QSocketNotifier: Invalid socket 14 and type 'Exception', disabling...                                                                                                                                                                         
QSocketNotifier: Invalid socket 7 and type 'Read', disabling...                                                                                                                                                                               
QSocketNotifier: Invalid socket 13 and type 'Read', disabling...                                                                                                                                                                              
QSocketNotifier: Invalid socket 11 and type 'Read', disabling..
Comment 1 Fedora End Of Life 2016-07-19 14:19:32 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 Fedora End Of Life 2017-07-25 15:23:16 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-08-08 08:19:07 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.